import 'package:get/get.dart';
import 'package:making_school_asignment_app/common/job/annotated_class.dart';
import 'package:making_school_asignment_app/common/job/homework_details.dart';
import 'package:making_school_asignment_app/page/home_page/children/quick_data_check/quick_data_check_state.dart';

class JobReportState {
  JobReportState() {
    ///Initialize variables
  }

  late RxString title = ''.obs;
  late RxString homeworkId = ''.obs;
  late RxString classId = ''.obs;
  late RxString className = ''.obs;
  late int grade;
  late CountData dataCount = CountData();
  late RxBool hasData = false.obs;
  late RxList<Questions> kgReport = RxList();
  late RxList<Questions> zgReport = RxList();
  late RxList<Students> studentList = RxList();
  late RxList<Knows> knowsList = RxList();
  late HomeworkDetails homeData;
  late RxList<AnnotatedClass> involveClasses = RxList();
  late AnnotatedClass defaultClass = AnnotatedClass('', -1, '-1', '', '', -1, -1, -1, -1, -1, [], [], -1, -1, -1, -1, -1, [], []);
  late Rx<AnnotatedClass> classData = defaultClass.obs;
  late int subject = -1;
}
